# Rooms Rooms ## Creates a new room record that does not already exist. - [POST /rooms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/createroom.md): This method will auto-generate an ID and create a new room. If an ID is specified for the room, an error will be thrown. ## Execute Batch Operations - [POST /rooms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /rooms/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/listroomsbyeventid.md): Returns a list of records with the specified event_id ## Returns a room from the system by its ID. - [DELETE /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/deleteroom.md): This method will delete a room with the specified ID. ## Returns a room from the system by its ID. - [GET /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/getroom.md): This method will look up a room by the specified ID and return it back. ## Partially updates a room with the specified ID. - [PATCH /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/patchroom.md): This method will patch an existing room with the specified ID, using the HTTP PATCH specification. ## Updates a room with the specified ID. - [PUT /rooms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/rooms/updateroom.md): This method will update an existing room with the specified ID.